Skip to navigation

Update Placement

Updates a Placement.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Contentmodifystore_v2_content
Contentread-onlystore_v2_content_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

uuidstringRequiredformat: "uuid"
The identifier for a specific placement.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects an object.
channel_idintegerOptional
The ID of the channel on which this placement exists.
entity_idstringOptional

The identifier of a page you would like to target. For product pages, choose product ID. For category pages, choose category ID. Home page does not support entity_id.

regionstringOptional
The name of the region in which to insert content widgets.
sort_orderintegerOptional
The sort order to control the position of a content widget in a region.
statusenumOptionalDefaults to inactive
Sets the placement as either inactive or active.
Allowed values:
template_filestringOptional
The template file that you would like to target.
widget_uuidstringOptional
A widget identifier.

Response

The requested widget placement.
dataobjectOptional
metaobjectOptional
Response metadata.

Errors

404
Not Found Error
422
Unprocessable Entity Error